---
updatedAt: 2026-09-02T03:29:14.000Z
agentTools:
  projectIndex: https://developers.smtp2go.com/llms.txt
---

# Remove an IP Auth entry

Remove an IP Auth entry from your account

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "SMTP2GO API v3.0.4",
    "version": "3.0.4",
    "description": "SMTP2GO API"
  },
  "servers": [
    {
      "url": "https://api.smtp2go.com/v3",
      "description": "Regionless"
    },
    {
      "url": "https://us-api.smtp2go.com/v3",
      "description": "US Region"
    },
    {
      "url": "https://eu-api.smtp2go.com/v3",
      "description": "EU Region"
    },
    {
      "url": "https://au-api.smtp2go.com/v3",
      "description": "AU Region"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-Smtp2go-Api-Key",
        "description": "Your SMTP2GO API key. When calling through the SMTP2GO MCP server, this is supplied automatically from the MCP connection: do not set `X-Smtp2go-Api-Key` or `Authorization` in `execute-request` headers, as any value set there overrides the connection's key."
      },
      "sec1": {
        "type": "http",
        "scheme": "bearer",
        "description": "Your SMTP2GO API key as a bearer token (`Authorization: Bearer api-...`). When calling through the SMTP2GO MCP server, this is supplied automatically from the MCP connection: do not set `X-Smtp2go-Api-Key` or `Authorization` in `execute-request` headers, as any value set there overrides the connection's key."
      }
    }
  },
  "security": [
    {
      "sec0": []
    },
    {
      "sec1": []
    }
  ],
  "paths": {
    "/ip_auth/remove": {
      "post": {
        "tags": [
          "IP AUTH"
        ],
        "summary": "Remove an IP Auth entry",
        "description": "Remove an IP Auth entry from your account",
        "operationId": "remove-ip-auth",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "ip_address"
                ],
                "properties": {
                  "ip_address": {
                    "type": "string",
                    "description": "A valid ip address of an existing IP Auth entry that you wish to remove"
                  },
                  "subaccount_id": {
                    "type": "string",
                    "description": "If you wish to make this API call on behalf of a subaccount then include its unique ID here"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "IP Auth removed"
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "request_id": "22e5acba-43bf-11e6-ae42-408d5cce2644",
                      "data": {
                        "error": "You do not have permission to access this API endpoint",
                        "error_code": "E_ApiResponseCodes.ENDPOINT_PERMISSION_DENIED"
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "request_id": {
                      "type": "string",
                      "example": "22e5acba-43bf-11e6-ae42-408d5cce2644"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "string",
                          "example": "You do not have permission to access this API endpoint"
                        },
                        "error_code": {
                          "type": "string",
                          "example": "E_ApiResponseCodes.ENDPOINT_PERMISSION_DENIED"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Content-Type",
        "value": "application/json"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true,
    "status-url": "https://api.smtp2go.com/v3/api/echo"
  }
}
```